SSL routines:ssl3_get_record:wrong version number

Hi,
I’m trying to run the following command: npm i -D jest jest-preset-angular
And I get the following error:

npm WARN registry Unexpected warning for http://registry.npmjs.org/: Miscellaneous Warning EPROTO: request to http://registry.npmjs.org/jest failed, reason: write EPROTO 140736094303104:error:1408F10B:SSL routines:ssl3_get_record:wrong version number:../deps/openssl/openssl/ssl/record/ssl3_record.c:252:\n
npm WARN registry Using stale data from http://registry.npmjs.org/ due to a request error during revalidation.
npm ERR! code EPROTO
npm ERR! errno EPROTO
npm ERR! request to http://registry.npmjs.org/jest-preset-angular failed, reason: write EPROTO 140736094303104:error:1408F10B:SSL routines:ssl3_get_record:wrong version number:../deps/openssl/openssl/ssl/record/ssl3_record.c:252:

Full log: 2019-03-12T12_28_09_691Z-debug.log (2,8 KB)


$ npm --versions
{ β€˜myinsights-account’: β€˜1.0.0’,
npm: β€˜6.9.0’,
ares: β€˜1.15.0’,
cldr: β€˜33.1’,
http_parser: β€˜2.8.0’,
icu: β€˜62.1’,
modules: β€˜64’,
napi: β€˜3’,
nghttp2: β€˜1.34.0’,
node: β€˜10.15.3’,
openssl: β€˜1.1.0j’,
tz: β€˜2018e’,
unicode: β€˜11.0’,
uv: β€˜1.23.2’,
v8: β€˜6.8.275.32-node.51’,
zlib: β€˜1.2.11’ }

$ node -p process.platform
darwin

Any help will be greatly appreacited.
Thanks!

Just to clarify, I’m behind a proxy, but the config is already reflecting this. See below the output of npm config edit

Sorry, I’m stupid,
I changed the https-proxy to:
https-proxy=http://… and it’s solved now

3 Likes

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.